classification
Title: PEP 3121, 384 refactoring applied to pickle module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: alexandre.vassalotti Nosy List: Robin.Schreiber, Trundle, alexandre.vassalotti, asvetlov
Priority: normal Keywords: pep3121

Created on 2012-08-15 13:55 by Robin.Schreiber, last changed 2013-12-01 21:56 by alexandre.vassalotti. This issue is now closed.

Files
File name Uploaded Description Edit
_pickle_pep3121-384_v0.patch Robin.Schreiber, 2012-08-15 13:55
Messages (3)
msg168295 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-15 13:55
Changes proposed in PEP3121 and PEP384 have now been applied to the pickle module!
msg175403 - (view) Author: Andreas Stührk (Trundle) * Date: 2012-11-11 22:48
See also issue #11349.
msg204972 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2013-12-01 21:56
I have implemented PEP 3121 module finalization for _pickle in 64c6d52793be. I don't see the use case for implementing PEP 384 stable ABI, since _pickle is only distributed with Python.
History
Date User Action Args
2013-12-01 21:56:56alexandre.vassalottisetstatus: open -> closed

assignee: alexandre.vassalotti

nosy: + alexandre.vassalotti
messages: + msg204972
resolution: fixed
stage: resolved
2012-11-11 22:48:35Trundlesetnosy: + Trundle
messages: + msg175403
2012-11-08 13:37:28Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:42:36belopolskylinkissue15787 dependencies
2012-08-17 16:40:48asvetlovsetnosy: + asvetlov
2012-08-15 13:55:56Robin.Schreibercreate